> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Agent



## OpenAPI

````yaml POST /v1/agents
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/agents:
    post:
      tags:
        - agents
      summary: Create Agent
      operationId: create_agent_v1_agents_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentRegistrationCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataResponse_AgentRegistrationResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AgentRegistrationCreate:
      properties:
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        endpoint_url:
          type: string
          title: Endpoint Url
        auth_header_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Auth Header Name
        auth_header_value:
          anyOf:
            - type: string
            - type: 'null'
          title: Auth Header Value
        trigger_on_sources:
          items:
            type: string
          type: array
          title: Trigger On Sources
        trigger_on_severities:
          items:
            type: string
          type: array
          title: Trigger On Severities
        trigger_filter:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Trigger Filter
        timeout_seconds:
          type: integer
          maximum: 300
          minimum: 1
          title: Timeout Seconds
          default: 30
        retry_count:
          type: integer
          maximum: 10
          minimum: 0
          title: Retry Count
          default: 3
        is_active:
          type: boolean
          title: Is Active
          default: true
        documentation:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentation
      type: object
      required:
        - name
        - endpoint_url
      title: AgentRegistrationCreate
    DataResponse_AgentRegistrationResponse_:
      properties:
        data:
          $ref: '#/components/schemas/AgentRegistrationResponse'
        meta:
          additionalProperties: true
          type: object
          title: Meta
      type: object
      required:
        - data
      title: DataResponse[AgentRegistrationResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AgentRegistrationResponse:
      properties:
        uuid:
          type: string
          format: uuid
          title: Uuid
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        endpoint_url:
          type: string
          title: Endpoint Url
        auth_header_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Auth Header Name
        trigger_on_sources:
          items:
            type: string
          type: array
          title: Trigger On Sources
        trigger_on_severities:
          items:
            type: string
          type: array
          title: Trigger On Severities
        trigger_filter:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Trigger Filter
        timeout_seconds:
          type: integer
          title: Timeout Seconds
        retry_count:
          type: integer
          title: Retry Count
        is_active:
          type: boolean
          title: Is Active
        documentation:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentation
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - uuid
        - name
        - description
        - endpoint_url
        - auth_header_name
        - trigger_on_sources
        - trigger_on_severities
        - trigger_filter
        - timeout_seconds
        - retry_count
        - is_active
        - documentation
        - created_at
        - updated_at
      title: AgentRegistrationResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````